/******************************************************************************/
/*                                                                            */
/* Headername  : PTEST.H                                                      */
/*                                                                            */
/* Beschreibung: Schnittstelle fuer Modul PTEST                               */
/*                                                                            */
/* Copyright (C) MGW 1996                                                     */
/* -------------------------------------------------------------------------- */
/* Aenderungshistorie - Version 01.00                                         */
/*                                                                            */
/* Datum    -    Modifikation                                                 */
/* 22.01.96 -    Entwurf                                                      */
/*                                                                            */
/******************************************************************************/

#ifndef _PTEST_H
#define _PTEST_H

/******************************************************************************/
/* Definitionen, Makros und Konstanten                                        */
/******************************************************************************/

/******************************************************************************/
/* Datentypen                                                                 */
/******************************************************************************/
typedef struct { UBYTE     ubHour;
                 UBYTE     ubMinute;
                 UBYTE     ubSecond;
               } SITIME;
typedef SITIME far *LPSITIME;

typedef struct { UWORD     uwYear;
                 UBYTE     ubMonth;
                 UBYTE     ubDay;
               } SIDATE;
typedef SIDATE far *LPSIDATE;

/******************************************************************************/
/* Prototypen der Public-Funktionen                                           */
/******************************************************************************/

/******************************************************************************/
/* Prototypen der Windows-Callback-Funktionen                                 */
/******************************************************************************/
BOOL CALLBACK PTestMainDlgProc( HWND, 
                                WORD, 
                                WPARAM, 
                                LPARAM );
BOOL CALLBACK AboutDlgProc    ( HWND, 
                                WORD, 
                                WPARAM, 
                                LPARAM );


#endif  /* _PTEST_H */

