VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "CToken"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'*****************************************************************************
'
' Classname     : CToken (Code)
'
' Description   : Holds data definitions for all token types out of SLIDA
'
' Author        : Klaus-Peter Heinz             Dep.: Fa. MGW
'
'  2000 Sirona Dental Systems GmbH - All Rights Reserved
'-----------------------------------------------------------------------------
' Status        : Design
'
' Security      : -
'-----------------------------------------------------------------------------
' Revision history - Version 1.0
'
' Date     -      Modification
'
'*****************************************************************************
Option Explicit

'*****************************************************************************
'Private definitions and constants
'*****************************************************************************

'*****************************************************************************
'Private data types
'*****************************************************************************

'*****************************************************************************
' Global variables and constants
'*****************************************************************************

Public TokenID                As String  'the Token
Public OrderNo                As String  'Order number
Public LastName               As String  'Name of patient
Public FirstName              As String  'First name of patient
Public Birth                  As String  'Date of birth
Public ExtCardID              As String  'External card index number
Public ImageNo                As String  'Image number

Public Sex                    As String  'Sex
Public pregnant               As String  'Pregnancy statement
Public ImageType              As String  'Image type
Public DateOfImage            As String  'Date of image
Public TimeOfImage            As String  'Time of image
Public ResponsiblePerson      As String  'Person in charge
Public Reason                 As String  'Reason/Notes
Public Diagnosis              As String  'Diagnosis
Public RadDuration            As String  'Radiation duration
Public TupeVoltage            As String  'Tube voltage
Public TupeCurrent            As String  'Tube current
Public AddrOfSender           As String  'Address of sender
Public AddrOfReceiver         As String  'Address of receiver

Public CallingStation         As String  'Calling station name
Public OrderDate              As String  'date calling
Public OrderTime              As String  'time calling

Public ImageFilename          As String  '...without path
Public PermanentDentist       As String  'Permanent dentist

Public LastNameNew            As String  'Name of patient new
Public FirstNameNew           As String  'First name of patient new
Public BirthNew               As String  'Date of birth new
Public ExtCardIDNew           As String  'External card index number new
Public PermanentDentistNew    As String  'Permanent dentist new

'*****************************************************************************
' Implementation
'*****************************************************************************

'none
